const axios = require('axios');

module.exports = class Client {
  constructor({
    key = 'localhost',
  }) {
  
    this.url = `http://${key}:8080`;
  }

  async publish({
    topic,
    message,
    key
  }) {
    try {
      const body = {};

      body.records = [{ key, value: message }];
      await axios.post(`${this.url}/topics/${topic}`, body, {
        headers: {
          'is-system': 'true',
          'content-type': 'application/json',
        },
      });

      return Promise.resolve('Success');
    } catch (error) {
      return Promise.reject(error.message);    
    }
  }
}

