const axios = require('axios');

module.exports = class Client {
  constructor({
    key = 'localhost',
  }) {
  
    this.url = `http://${key}:8080`;
  }

  async publish({
    topic,
    message,
    headers
  }) {
    try {
      const body = {
        headers,
        queue: topic,
        content: message
      };
      await axios.post(`${this.url}/publish`, body, {
        headers: {
          'is-system': 'true',
          'content-type': 'application/json',
        },
      });

      return Promise.resolve('Success');
    } catch (error) {
      return Promise.reject(error.message);    
    }
  }
}

